﻿<!DOCTYPE html>
<!--[if IE 7 ]>		 <html class="no-js ie ie7 lte7 lte8 lte9" lang="en-US"> <![endif]-->
<!--[if IE 8 ]>		 <html class="no-js ie ie8 lte8 lte9" lang="en-US"> <![endif]-->
<!--[if IE 9 ]>		 <html class="no-js ie ie9 lte9>" lang="en-US"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!-->
<html class="no-js" lang="en-US">
<!--<![endif]-->
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>@ViewBag.Title - Portal de proveedores</title>
    @*@Styles.Render("~/Content/css")
        @Scripts.Render("~/bundles/modernizr")
        @Scripts.Render("~/bundles/bootstrap")*@


    <link href="@Url.Content("~/Content/Site.css")" rel="stylesheet" />
    <link href="@Url.Content("~/Content/bootstrap.css")" rel="stylesheet" />
    <script src="@Url.Content("~/Scripts/modernizr-2.6.2.js")"></script>



    <link href="@Url.Content("~/Content/jquery-ui/jquery-ui.min.css")" rel="stylesheet" />

    <script src="@Url.Content("~/Content/jquery-ui/external/jquery/jquery.js")"></script>
    <script src="@Url.Content("~/Content/jquery-ui/jquery-ui.js")"></script>

    <script src="@Url.Content("~/Scripts/bootstrap.js")"></script>
    <script src="@Url.Content("~/Scripts/respond.js")"></script>

    <script src="@Url.Content("~/Content/noty/jquery.noty.js")"></script>
    <script src="@Url.Content("~/Content/noty/themes/relax.js")"></script>
    <script src="@Url.Content("~/Content/noty/layouts/topCenter.js")"></script>
    <script src="@Url.Content("~/Content/noty/layouts/center.js")"></script>

    <script>
        function Alerta(tipo, mensaje, wh) {
            noty({
                layout: wh,
                text: mensaje,
                type: tipo,
                theme: 'relax', // or 'relax'
                dismissQueue: true,
                timeout: false, // delay for closing event. Set false for sticky notifications
                force: false, // adds notification to the beginning of queue when set to true
                timeout: 3500,
                modal: false,
                maxVisible: 7, // you can set max visible notification for dismissQueue true option,
                killer: false, // for close all notifications before show
                closeWith: ['click'], // ['click', 'button', 'hover', 'backdrop'] // backdrop click will close all notifications
                buttons: false // an array of buttons,

            });
        }
    </script>

</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @*@Html.ActionLink("Portal", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })*@
                @Html.Label("Portal", new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">

                    @if (User.Identity.IsAuthenticated)
                    {
                        if (!User.IsInRole("admin"))
                        {
                            <li> @Html.ActionLink("Const. Pago Cuenta", "ImportarConstanciaCuenta", "OnBase") </li>
                            <li> @Html.ActionLink("Registro Facturas", "RegistroFacturas", "OnBase") </li>
                            <li> @Html.ActionLink("Carga Masiva Facturas", "CargaMasivaFacturas", "OnBase") </li>
                            <li> @Html.ActionLink("Facturación", "ConsultaFacturacion", "OnBase") </li>
                            <li>@Html.ActionLink("Estado Cuenta", "EstadoCuenta", "OnBase")</li>
                        }
                        if (User.IsInRole("admin"))
                        {
                            <li>@Html.ActionLink("Reportes", "ReporteInicioSesion", "Administracion")</li>
                            <li>@Html.ActionLink("Cambio Clave", "CambioClave", "Administracion")</li>
                            <li>@Html.ActionLink("Cambio Correo", "CambioCorreo", "Administracion")</li>
                        }
                    }
                    @*<li>@Html.ActionLink("About", "About", "Home")</li>
        <li>@Html.ActionLink("Contact", "Contact", "Home")</li>*@
                </ul>
                @Html.Partial("_LoginPartial")
            </div>
        </div>
    </div>
    <div class="container body-content">
        <div class="se-pre-con"></div>
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Portal de proveedores @*CENOSA*@</p>
        </footer>
    </div>

    @*@Scripts.Render("~/bundles/jquery")
        @RenderSection("scripts", required: false)*@
</body>
</html>

<style>
/* Paste this css to your style sheet file or under head tag */
/* This only works with JavaScript, if it's not present, don't show loader */

    .no-js #loader {
        display: none;
    }

    .js #loader {
        display: block;
        position: absolute;
        left: 100px;
        top: 0;
    }

    .se-pre-con {
        position: fixed;
        left: 0px;
        top: 0px;
        width: 100%;
        height: 100%;
        z-index: 9999;
        background: url(@Url.Content("~/Content/images/loader-64x/Preloader_2.gif")) center no-repeat #fff;
    }
</style>



<script type="text/javascript">
    $(window).load(function () {
        // Animate loader off screen
        $(".se-pre-con").fadeOut("slow");
    });
    $(window).on('beforeunload', function () {
        $(".se-pre-con").fadeIn(50);
    });
</script>
